Name: x11_autosetup
Version: 0.5
Release: alt1

Summary: Automatic x11 setup using x11_autosetup and x11setupdrv
License: GPL
Group: System/Configuration/Hardware
Packager: Anton V. Boyarshinov <boyarsh@altlinux.ru>
BuildArch: noarch

Source: %name.init

Requires(post): %post_service
Requires(preun): %preun_service

Requires: x11_autosetup, x11setupdrv
Provides: hardware = %version-%release
Obsoletes: hardware

%description
Automatic x11 setup using x11_autosetup and x11setupdrv.
 
%install
install -D -m755 %SOURCE0 %buildroot%_initdir/%name

%post 
%post_service x11_autosetup

%preun
%preun_service x11_autosetup

%files
%_initdir/%name

%changelog
* Fri Oct 05 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.5-alt1
- major cleanup from ldv@ 

* Tue Oct 02 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.4-alt1
- fixed #12935 

* Tue Aug 28 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.3-alt1
- added test to /etc/X11/xorg/conf not ot be a symlink 

* Mon Jul 23 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.2-alt1
- added ability to get resolution from /proc/cmdline 

* Fri Jun 29 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2
- added hack for setting default depth in qemu 

* Mon Jun 04 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt1
- new package based on "hardware" 

* Thu Feb 02 2006 Anton Farygin <rider@altlinux.ru> 0.2.3-alt1
- updated for xorg-7.0

* Wed Aug 17 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.2.2-alt1
- removed setgl, replaced to x11setupdrv

* Tue Jun 07 2005 Anton Farygin <rider@altlinux.ru> 0.2.1-alt1
- setgl: added parameter - path to xorg.conf

* Tue Jun 07 2005 Anton Farygin <rider@altlinux.ru> 0.2-alt1
- setgl tool added

* Wed Dec 08 2004 Anton Farygin <rider@altlinux.ru> 0.1-alt1
- first build

